dcraw(1)

NOMBRE
dcraw - descodificador de línea de comandos para fotos digitales crudas (raw)

RESUMEN
dcraw [OPCIÓN]... [ARCHIVO]...

DESCRIPCIÓN
dcraw descodifica fotos crudas, muestra metadatos y extrae imágenes miniatura.

OPCIONES GENERALES

-v  Mostrar mensajes detalados, no sólo avisos y errores.

-c  Mostrar imágenes descodificadas o imágenes miniatura por salida estándar.

-e  Extraer la imagen miniatura generada por la cámara, no la imagen cruda. Conseguirás o bien un archivo JPEG o un archivo PPM, dependiendo de la cámara.

-z  Cambiar las fechas de modificación y acceso de un archivo AVI, JPEG, TIFF o crudo a cuando se tomó la foto, asumiendo que el reloj de la cámara estaba establecido en horario Universal (UTC).

-i  Identificar archivos sin descodificarlos. La salida de estado es 0 si dcraw puede descodificar el último archivo, 1 si él no puede. -i -v muestra metadatos.

    ¡¡dcraw no puede descodificar archivos JPEG!!

OPCIONES DE RECUPERACIÓN

-P píxeles_muertos.txt
    Leer la lista de píxeles muertos de este archivo en lugar de ".badpixels". Ver ARCHIVOS para una descripción del formato.

-K oscuro.pgm
    Substraer un cuadro oscuro de los datos crudos. Para generar un cuadro oscuro, toma una foto cruda sin luz y haz dcraw -D -4 -j -t 0.

-k oscuro
    Cuando las sombras aparezcan con neblina, se debe incrementar el nivel de oscuro. Para medir esto, aplicar pamsumm -mean al cuadro oscuro generado arriba.

-S saturación
    Si las altas luces aparecen rosa, se debe reducir el nivel de saturación. Para medir esto, realizar una captura de algo brillante y hacer dcraw -D -4 -j -c foto.raw | pamsumm -max

    Los valores de oscuro y saturación por defecto suelen ser adecuados.

-n umbral_reducción_ruido
    Emplea un algoritmo basado en ondículas para eliminar el ruido manteniendo el detalle. El umbral óptimo suele estar entre 100 y 1000.

-C mag_roja mag_azul
    Ampliar las capas roja y azul segun los factores indicados, tipicamente de 0.999 a 1.001, para corregir la aberracion cromatica.

-H 0
    Excluir todas las sobreexposiciones de blanco sólido (por defecto).

-H 1
    Dejar las sobreexposiciones sin excluir en varias sombras de rosa.

-H 2
    Combinar valores recortados y no recortados en un degradado gradual a blanco.

-H 3+
    Reconstruir sobreexposiciones. Los valores bajos favorecen los blancos; los valores altos favorecen los colores. Prueba -H 5 como compromiso. Si no es suficientemente bueno, haz -H 9, corta las sobreexposiciones que no son blancas y pégalas sobre la imagen generada con -H 3.

OPCIONES DE COLOR
Por defecto, dcraw usa balance de blancos prefijado basado en una carta de color bajo iluminación estándar D65.

-w  Utilizar el balance de blancos especificado por la cámara. Si no se encuentra, mostrar un mensaje de aviso y utilizar otro método.

-a  Calcular el balance de blancos promediando la imagen completa.

-A izquierda arriba ancho alto
    Calcular el balance de blancos promediando un área rectangular. Primero hacer dcraw -j -t 0 y seleccionar un área de color gris neutro.

-r mul0 mul1 mul2 mul3
    Especificar tu propio balance de blancos. Estos multiplicadores se pueden cortar y pegar desde la salida de dcraw -v.

+M o -M
    Utilizar (o no utilizar) matriz de color incrustada en los metadatos de la cámara. Por defecto es +M si -w es seleccionado, es -M en otro caso. Esta opción solo afecta a las cámaras Olympus, Leaf y Phase One.

-o [0-6]
    Seleccionar el espacio de color de salida cuando la opción -p no se utiliza: 0 Color crudo (único para cada cámara)
    1 sRGB D65 (por defecto)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ
    6 ACES

-p cámara.icm [ -o salida.icm ]
    Usar perfiles ICC para definir el espacio de color crudo de la cámara y el espacio de color deseado (sRGB por defecto).

-p embed
    Usar el perfil ICC asociado en la foto cruda.

OPCIONES DE INTERPOLACIÓN

-d  Mostrar los datos crudos como una imagen en escala de grises sin interpolación. Bueno para fotografiar documentos en blanco y negro.

-D  Igual que -d, pero totalmente crudo (sin escalado de color).

-h  Mostrar una imagen en color de la mitad del tamaño. Doble de rápido que -q 0.

-q 0
    Usar interpolación bilineal de alta velocidad y baja calidad.

-q 1
    Usar interpolación de Número Variable de Gradientes (VNG).

-q 2
    Usar interpolación por Agrupación de Píxeles en Patrones (PPG).

-q 3
    Usar interpolación Adaptativa Dirigida a la Homogeneidad (AHD).

-f  Interpolar RGB como cuatro colores. Usar esto si la salida muestra retinas 2x2 falsas con VNG o laberintos con AHD.

-m numero_de_pasos
    Tras la interpolación, elimina los artefactos de color aplicando repetidamente un filtro de mediana de 3x3 a los canales R-G y B-G.

OPCIONES DE SALIDA
Por defecto, dcraw genera archivos PGM/PPM/PAM de 8 bits, curva gamma BT.709, nivel de blanco basado en histograma, y ningún metadato.

-W  Usa nivel de blanco prefijado, ignorando el histograma de la imagen.

-b luminosidad
    Divide el nivel de blanco por este número, por defecto 1.0.

-g exponente pendiente_maxima
    Establecer curva gamma, por defecto BT.709 (-g 2.222 4.5). Para una gamma sRGB, utilizar -g 2.4 12.92. Para una curva de potencianción pura, poner a cero la pendiente maxima.

-6  Escribir dieciseis bits por muestra en lugar de ocho.

-4  16 bits lineales, equivalente a -6 -W -g 1 1.

-T  Guardar en formato TIFF con metadatos en vez de PGM/PPM/PAM.

-t [0-7,90,180,270]
    Girar la imagen de salida. Por defecto, dcraw aplica el giro especificado por la cámara. -t 0 deshabilita todos los giros.

-j  Para cámaras Fuji Super CCD, mostrar la imagen girada 45 grados. Para cámaras sin píxeles cuadrados, no estrechar la imagen a su proporción de aspecto correcto. En cualquier caso, esta opción garantiza que cada píxel de salida corresponte con un píxel crudo.

-s [0..N-1] o -s all
    Si un archivo contiene N imágenes crudas, elegir decodificar una concreta o "all" (todas). Por ejemplo, las cámaras Fuji Super CCD SR generan una segunda imagen infraexpuesta cuatro paradas para mostrar en detalle las sobreexposiciones.

ARCHIVOS

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Listar los píxeles muertos de tu cámara, para que dcraw pueda interpolar alrededor de ellos. Cada línea especifica la columna, fila y tiempo UNIX de la muerte de cada píxel. Por ejemplo:

     962   91 1028350000  # murió entre el 1 y el 4 de Agosto del 2002
    1285 1067 0           # no se sabe cuándo murió este píxel

    Estas coordenadas son de antes del recorte o rotación, así que utiliza dcraw -j -t 0 para encontrar píxeles muertos.

VÉASE TAMBIÉN
pgm(5), ppm(5), pam(5), pamsumm(1), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

AUTOR
Written by David Coffin, dcoffin a cybercom o net

TRADUCCIÓN
Traducido por Ioannis Aslanidis, deathwing00 a gentoo o org y Guillermo Luijk Delgado, guillermo.luijk a orange-ftgroup o com